| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemGPSModelHelper Class Reference
Inheritance diagram for Digikam::ItemGPSModelHelper:

## Public Member Functions
| ItemGPSModelHelper (QStandardItemModel *const itemModel, QObject *const parent=nullptr)
QPersistentModelIndex | bestRepresentativeIndexFromList (const QList< QPersistentModelIndex > &list, const int sortKey) override
bool | itemCoordinates (const QModelIndex &index, GeoCoordinates *const coordinates) const override
QAbstractItemModel * | model () const override
| these are necessary for grouped and ungrouped models
QPixmap | pixmapFromRepresentativeIndex (const QPersistentModelIndex &index, const QSize &size) override
| these are used by MarkerModel for grouped models
QItemSelectionModel * | selectionModel () const override
Public Member Functions inherited from Digikam::GeoModelHelper
| GeoModelHelper (QObject *const parent=nullptr)
virtual PropertyFlags | itemFlags (const QModelIndex &index) const
virtual bool | itemIcon (const QModelIndex &index, QPoint *const offset, QSize *const size, QPixmap *const pixmap, QUrl *const url) const
| these are necessary for ungrouped models
virtual PropertyFlags | modelFlags () const
virtual void | onIndicesClicked (const QList< QPersistentModelIndex > &clickedIndices)
virtual void | onIndicesMoved (const QList< QPersistentModelIndex > &movedIndices, const GeoCoordinates &targetCoordinates, const QPersistentModelIndex &targetSnapIndex)
virtual void | snapItemsTo (const QModelIndex &targetIndex, const QList< QModelIndex > &snappedIndices)
void | snapItemsTo (const QModelIndex &targetIndex, const QList< QPersistentModelIndex > &snappedIndices)

## Additional Inherited Members
Public Types inherited from Digikam::GeoModelHelper
enum | PropertyFlag { FlagNull = 0 , FlagVisible = 1 , FlagMovable = 2 , FlagSnaps = 4 }
typedef QFlags< PropertyFlag > | PropertyFlags
Signals inherited from Digikam::GeoModelHelper
void | signalModelChangedDrastically ()
void | signalThumbnailAvailableForIndex (const QPersistentModelIndex &index, const QPixmap &pixmap)
void | signalVisibilityChanged ()

## Member Function Documentation

## ◆ bestRepresentativeIndexFromList()

QPersistentModelIndex Digikam::ItemGPSModelHelper::bestRepresentativeIndexFromList | ( | const QList< QPersistentModelIndex > & | list,
|  | const int | sortKey
| ) |  |
| override virtual

Reimplemented from Digikam::GeoModelHelper.

## ◆ itemCoordinates()

bool Digikam::ItemGPSModelHelper::itemCoordinates | ( | const QModelIndex & | index,
|  | GeoCoordinates *const | coordinates
| ) |  | const
| override virtual

Implements Digikam::GeoModelHelper.

## ◆ model()

QAbstractItemModel * Digikam::ItemGPSModelHelper::model | ( |  | ) | const
| override virtual

Implements Digikam::GeoModelHelper.

## ◆ pixmapFromRepresentativeIndex()

QPixmap Digikam::ItemGPSModelHelper::pixmapFromRepresentativeIndex | ( | const QPersistentModelIndex & | index,
|  | const QSize & | size
| ) |  |
| override virtual

Reimplemented from Digikam::GeoModelHelper.

## ◆ selectionModel()

QItemSelectionModel * Digikam::ItemGPSModelHelper::selectionModel | ( |  | ) | const
| override virtual

Implements Digikam::GeoModelHelper.